Returns all Atlas Search indexes on the specified cluster. Atlas Search indexes contain the indexed fields and the analyzers used to create the indexes.
- Project Data Access Read Only
- Project Data Access Read Write
- Project Search Index Editor
- Project Stream Processing Owner
Path parameters
-
Unique 24-hexadecimal digit string that identifies your project. Use the /groups endpoint to retrieve all projects to which the authenticated user has access.
NOTE: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups.
Format should match the following pattern:
^([a-f0-9]{24})$. -
Name of the cluster that contains the collection with one or more Atlas Search indexes.
Format should match the following pattern:
^[a-zA-Z0-9][a-zA-Z0-9-]*$.
Query parameters
-
Flag that indicates whether Application wraps the response in an
envelopeJSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.Default value is
false. -
Flag that indicates whether the response body should be in the prettyprint format.
Default value is
false.Prettyprint
atlas api atlasSearch listClusterSearchIndexes --help
import (
"os"
"context"
"log"
sdk "go.mongodb.org/atlas-sdk/v20250219001/admin"
)
func main() {
ctx := context.Background()
clientID := os.Getenv("MONGODB_ATLAS_CLIENT_ID")
clientSecret := os.Getenv("MONGODB_ATLAS_CLIENT_SECRET")
// See https://dochub.mongodb.org/core/atlas-go-sdk-oauth
client, err := sdk.NewClient(sdk.UseOAuthAuth(clientID, clientSecret))
if err != nil {
log.Fatalf("Error: %v", err)
}
params = &sdk.ListGroupClusterSearchIndexesApiParams{}
sdkResp, httpResp, err := client.AtlasSearchApi.
ListGroupClusterSearchIndexesWithParams(ctx, params).
Execute()
}
curl --include --header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/vnd.atlas.2025-02-19+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/clusters/{clusterName}/search/indexes?pretty=true"
curl --user "${PUBLIC_KEY}:${PRIVATE_KEY}" \
--digest --include \
--header "Accept: application/vnd.atlas.2025-02-19+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/clusters/{clusterName}/search/indexes?pretty=true"
# Headers
# Payload
[
{
"collectionName": "string",
"database": "string",
"indexID": "32b6e34b3d91647abb20e7b8",
"latestDefinition": {
"numPartitions": 1,
"storedSource": {
"include | exclude": [
"field1",
"field2"
]
},
"analyzer": "lucene.standard",
"analyzers": [
{
"charFilters": [
{
"additionalProperty1": {},
"additionalProperty2": {}
}
],
"name": "string",
"tokenFilters": [
{
"additionalProperty1": {},
"additionalProperty2": {}
}
],
"tokenizer": {
"additionalProperty1": {},
"additionalProperty2": {}
}
}
],
"mappings": {
"dynamic": {
"typeSet": "typeSet1"
},
"fields": {
"additionalProperty1": {},
"additionalProperty2": {}
}
},
"searchAnalyzer": "lucene.standard",
"sort": {
"anotherField": {
"noData": "highest",
"order": -1
},
"fieldName": 1
},
"synonyms": [
{
"analyzer": "lucene.standard",
"name": "string",
"source": {
"collection": "string"
}
}
],
"typeSets": [
{
"name": "string",
"types": [
{
"additionalProperty1": {},
"additionalProperty2": {}
}
]
}
]
},
"latestDefinitionVersion": {
"createdAt": "2026-05-04T09:42:00Z",
"version": 42
},
"name": "string",
"queryable": true,
"status": "DELETING",
"statusDetail": [
{
"hostname": "string",
"mainIndex": {
"definition": {
"numPartitions": 1,
"storedSource": {
"include | exclude": [
"field1",
"field2"
]
}
},
"definitionVersion": {
"createdAt": "2026-05-04T09:42:00Z",
"version": 42
},
"message": "string",
"queryable": true,
"status": "DELETING"
},
"queryable": true,
"stagedIndex": {
"definition": {
"numPartitions": 1,
"storedSource": {
"include | exclude": [
"field1",
"field2"
]
}
},
"definitionVersion": {
"createdAt": "2026-05-04T09:42:00Z",
"version": 42
},
"message": "string",
"queryable": true,
"status": "DELETING"
},
"status": "DELETING"
}
],
"type": "search",
"synonymMappingStatus": "FAILED",
"synonymMappingStatusDetail": [
{
"additionalProperty1": {
"message": "string",
"queryable": true,
"status": "FAILED"
},
"additionalProperty2": {
"message": "string",
"queryable": true,
"status": "FAILED"
}
}
]
}
]
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 429,
"errorCode": "RATE_LIMITED",
"reason": "Too Many Requests"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}
{
"badRequestDetail": {
"fields": [
{
"description": "string",
"field": "string"
}
]
},
"detail": "string",
"error": 42,
"errorCode": "string",
"parameters": [
{}
],
"reason": "string"
}